Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360965 - [online] Can't register new user in dev-preview-int env
Summary: [online] Can't register new user in dev-preview-int env
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: Dan Mace
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 04:46 UTC by Bing Li
Modified: 2019-03-29 15:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-04 13:08:00 UTC


Attachments (Terms of Use)

Comment 1 Jacob Lucky 2016-08-01 13:56:45 UTC
This sounds like an issue with the reconciler in INT. If you can log in to dev-preview-stg, you should also be able to login to dev-preview-int unless the reconciler in INT is failing.

Comment 2 Stefanie Forrester 2016-08-01 15:09:26 UTC
We were getting some network timeouts from the reconciler pod:

2016/08/01 14:41:10.076606 reconciler.go:140: Started reconciling
2016/08/01 14:41:10.076657 reconciler.go:141: Updating OpenShift user index
2016/08/01 14:41:40.077086 reconciler.go:133: Error reconciling: error updating OpenShift user index: Get https://172.30.0.1:443/oapi/v1/users: dial tcp 172.30.0.1:443: i/o timeout
2016/08/01 14:46:40.077344 reconciler.go:140: Started reconciling
2016/08/01 14:46:40.077395 reconciler.go:141: Updating OpenShift user index
2016/08/01 14:47:10.077860 reconciler.go:133: Error reconciling: error updating OpenShift user index: Get https://172.30.0.1:443/oapi/v1/users: dial tcp 172.30.0.1:443: i/o timeout

I restarted the pod and the connection re-established. The reconciler is back online.

Comment 3 Bing Li 2016-08-02 02:16:42 UTC
Verifed on dev-preview-int, new user could be created successfully by a github account now. Thanks!


Note You need to log in before you can comment on or make changes to this bug.